---
search:
  tags:
    - pipeline
    - POST
seo:
  description: >-
    Create agent type. Reference for the POST
    /workspaces/{organizationId}/agent-types endpoint in the Pile API.
sidebar:
  label: Create agent type
  badge: POST
title: Create agent type
type: openapi-operation
---
`POST /workspaces/{organizationId}/agent-types`

**Request body** (`application/json`)

- `slug` (string, required)
- `name` (string, required)
- `providerAgentId` (string, required)
- `jobSpec` (string | null)
- `toolScope` (string | null)
- `permissionsTier` (string | null)
- `enabled` (boolean)

Request body example:

```json
{
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": true
}
```

**Responses**

- `200` — Agent type upserted (keyed on slug)

Response example, 200:

```json
{
  "id": "string",
  "organizationId": "string",
  "slug": "string",
  "name": "string",
  "providerAgentId": "string",
  "jobSpec": "string",
  "toolScope": "string",
  "permissionsTier": "string",
  "enabled": 0,
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
```
